Subject: bug#51613: Eww buffer creation

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 06 Nov 2021 00:17:28 +0100

André A. Gomes <[email-masked]> writes:

> Find my suggestion attached.  I took the opportunity to simplify the
> underlying logic.

[...]

> +   (if (and (eq major-mode 'eww-mode) (null arg))
> +       (current-buffer)
> +     (generate-new-buffer "*eww*")))

I don't think that's correct?  Then `M-x eww' in a different buffer will
generate a new name.

So I've now fixed this in a different way in Emacs 29 (and renamed the
arguments to be more sensible).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no